Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciModelPart

public interface SciModelPart

Defines constants used to identify the kind of `SciPackage`. A package can be one of the following:

- Imported package - the package is imported by the model (see IMPORT).
- Component package - contains the components (see COMPONENT).
- Model package - contains the model's data (see MODEL).

There is a method getModelPart in `SciPackage` which allows to determine the package's kind.

The constants in this interface are used in the SciModel.rootPackages(String) method.

Author:
  TogetherSoft
See Also: SciPackage.getModelPart()

Field Summary
`final static String` | `COMPONENT` Component package - contains components (useful classes etc.
`final static String` | `IMPORT` Imported package.
`final static String` | `MODEL` Model package - contains the model's data.

Field Detail

### COMPONENT

    public final static String COMPONENT

  Component package - contains components (useful classes etc. that can be used in the user's models).

### IMPORT

    public final static String IMPORT

  Imported package. The imported packages are subpackages of the packages specified in the "Search/Classpath" tab in the project properties dialog (Advanced mode) or root packages from that tab themselves.

### MODEL

    public final static String MODEL

  Model package - contains the model's data. The model packages are subpackages of the packages specified in the "Project Paths" tab in the project properties dialog (Advanced mode) or root packages from that tab themselves.
  See Also:
    SciModel.rootPackages(java.lang.String)

Association Links

to Class java.lang.String

  Model package - contains the model's data. The model packages are subpackages of the packages specified in the "Project Paths" tab in the project properties dialog (Advanced mode) or root packages from that tab themselves.

  see SciModel#rootPackages(String)

to Class java.lang.String

  Imported package. The imported packages are subpackages of the packages specified in the "Search/Classpath" tab in the project properties dialog (Advanced mode) or root packages from that tab themselves.

to Class java.lang.String

  Component package - contains components (useful classes etc. that can be used in the user's models).

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD